- Qt 6.6
- Qt GUI
- C++ Classes
- QRhiD3D11NativeHandles
- Qt 6.6.2 Reference Documentation

# QRhiD3D11NativeHandles Struct

Holds the D3D device and device context used by the QRhi. More...

Header: | #include <QRhiD3D11NativeHandles>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Gui) target_link_libraries(mytarget PRIVATE Qt6::Gui)
qmake: | QT += gui
Since: | Qt 6.6
Inherits: | QRhiNativeHandles

- List of all members, including inherited members

## Public Variables

qint32 | adapterLuidHigh
quint32 | adapterLuidLow
void * | context
void * | dev
int | featureLevel

## Detailed Description

Note: The class uses `void *` as the type since including the COM-based `d3d11.h` headers is not acceptable here. The actual types are `ID3D11Device *` and `ID3D11DeviceContext *`.

Note: This is a RHI API with limited compatibility guarantees, see QRhi for details.

## Member Variable Documentation

### qint32 QRhiD3D11NativeHandles::adapterLuidHigh

### quint32 QRhiD3D11NativeHandles::adapterLuidLow

### void *QRhiD3D11NativeHandles::context

### void *QRhiD3D11NativeHandles::dev

### int QRhiD3D11NativeHandles::featureLevel